## Package org.apache.fop.layout.hyphenation

Interface Summary
PatternConsumer: This interface is used to connect the XML pattern file parser to the hyphenation tree.

Class Summary
ByteVector: This class implements a simple byte vector with access to the underlying array.
CharVector: This class implements a simple char vector with access to the underlying array.
Hyphen: This class represents a hyphen.
Hyphenation: This class represents a hyphenated word.
HyphenationTree: This tree structure stores the hyphenation patterns in an efficient way for fast lookup.
Hyphenator: This class is the main entry point to the hyphenation package.
PatternParser: A SAX document handler to read and parse hyphenation patterns from a XML file.
TernaryTree: Ternary Search Tree

Exception Summary
HyphenationException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.